using System.Diagnostics;
using Bytescout.PDFExtractor;

namespace MergeDocuments
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] inputFiles = new string[] {"sample1.pdf", "sample2.pdf", "sample3.pdf"};

            using (DocumentMerger merger = new DocumentMerger("demo", "demo"))
            {
                merger.Merge(inputFiles, "result.pdf");
            }

            // Open result document in default associated application (for demo purpose)
            ProcessStartInfo processStartInfo = new ProcessStartInfo("result.pdf");
            processStartInfo.UseShellExecute = true;
            Process.Start(processStartInfo);
        }
    }
}
